tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping > Class Template Reference

## Classes

class | value_compare

## Protected Types

enum | { allow_multimapping = Allow_multimapping }
typedef std::pair< const Key, T > | value_type
typedef Key | key_type
typedef Hash_compare | hash_compare
typedef Allocator::template rebind< value_type >::other | allocator_type

## Protected Member Functions

| concurrent_unordered_map_traits (const hash_compare &hc)

## Static Protected Member Functions

template<class Type1 , class Type2 >
static const Key & | get_key (const std::pair< Type1, Type2 > &value)

## Protected Attributes

hash_compare | my_hash_compare

The documentation for this class was generated from the following file:

- concurrent_unordered_map.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.